<?php
if ( ! function_exists( 'biography_sanitize_image' ) ) :
    /**
     * Function to sanitize image
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_image
     * @return string
     *
     */
    function biography_sanitize_image( $biography_image, $biography_setting ) {
        /*
         * Array of valid image file types.
         *
         * The array includes image mime types that are included in wp_get_mime_types()
         */
        $biography_mimes = array(
            'jpg|jpeg|jpe' => 'image/jpeg',
            'gif'          => 'image/gif',
            'png'          => 'image/png',
            'bmp'          => 'image/bmp',
            'tif|tiff'     => 'image/tiff',
            'ico'          => 'image/x-icon'
        );
        // Return an array with file extension and mime_type.
        $biography_file = wp_check_filetype( $biography_image, $biography_mimes );
        // If $biography_image has a valid mime_type, return it; otherwise, return the default.
        return ( $biography_file['ext'] ? $biography_image : $biography_setting->default );
    }

endif;